Page MenuHomePhabricator

Stats not purged / Translation not marked as outdated
Closed, ResolvedPublic

Description

We use (or are trying to use) the Page translation feature of the Translate Extension. However after changing the original page, and re-marking it for translation, the translated page stays "100% up to date" and no warning of it being outdated.

Procedure:

  • Make some changes to the original page
  • Re-mark the page for translation. I did NOT tick the "don't mark as outdated" box

Expectation:

  • At the translated version I expect to see a message saying the page is out of date (XX%) etc.

Workaround to get expected behavior:

  • Visiting the page via Special:MessageGroupStats with action=purge
  • Only after that purge everything looks as expected. Obviously I don't want to do this after each change.

Remarks on www (apache) environment:

  • Behind a transparent proxy
  • In a complete noexec environment
  • Did not see any errors in error.log

Things I tried:

  • Disabling all caches
  • Setting $wgJobRunRate to 0 and running it manually on the CLI

Also note that other things (updates) do happen, for example the text I add to the original version in English is added to the translated version (in English) automatically. It's just the 'outdated' part at the top of the page (etc) that isn't updating.

Details

Related Gerrit Patches:

Event Timeline

Syzop1 created this task.Jun 29 2015, 9:25 AM
Syzop1 raised the priority of this task from to Needs Triage.
Syzop1 updated the task description. (Show Details)
Syzop1 added a subscriber: Syzop1.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2015, 9:25 AM

This is with both latest release (2015.04) and latest git (b3296ad725d290689e6ff0aaa9edf0d5790823a7, Sun Jun 28 22:18:07 2015 +0200)

As a workaround I now run this every minute from a cron job:
echo 'MessageGroupStats::clearAll();' | php maintenance/eval.php

Nemo_bis added a subscriber: Nemo_bis.
Nikerabbit triaged this task as High priority.Jul 3 2015, 7:26 AM
Nikerabbit added a subscriber: Nikerabbit.

I can reproduce locally. Stats are not purged when marking for translation.

Change 281698 had a related patch set uploaded (by Glaisher):
Ensure that TranslateRenderJob for the source language page is added when marked for translation

https://gerrit.wikimedia.org/r/281698

Change 282378 had a related patch set uploaded (by Glaisher):
Improve translation statistics regeneration

https://gerrit.wikimedia.org/r/282378

Change 281698 had a related patch set uploaded (by Glaisher):
Move several updates to TranslationsUpdateJob when page is marked for translation

https://gerrit.wikimedia.org/r/281698

Change 281698 merged by jenkins-bot:
Move several updates to TranslationsUpdateJob when page is marked for translation

https://gerrit.wikimedia.org/r/281698

Glaisher closed this task as Resolved.Apr 13 2016, 1:11 PM
Glaisher claimed this task.